:root {
    --color-message-success-bg: #e3fcec;
    --color-message-success-text: #1f9d55;
    --color-message-success-border: #51d88a;

    --color-message-warning-bg: #fffabc;
    --color-message-warning-text: #8d7b00;
    --color-message-warning-border: #d3b800;

    --color-message-error-bg: #fcebea;
    --color-message-error-text: #cc1f1a;
    --color-message-error-border: #ef5753;

    --color-message-info-bg: #eff8ff;
    --color-message-info-text: #2779bd;
    --color-message-info-border: #6cb2eb;
}

@font-face {
    font-family: 'Colville';
    src: url('../font/Colville-Light.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Colville';
    src: url('../font/Colville-Regular.otf') format('opentype');
    font-weight: bold;
    font-style: normal;
}

@font-face {
    font-family: 'Gilroy';
    src: url('../font/Gilroy-Medium.ttf') format('truetype');
    font-weight: bold;
    font-style: bold;
}

@font-face {
    font-family: 'Gilroy';
    src: url('../font/Gilroy-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Lovelace Script';
    src: url('../font/Lovelace-Script-Medium-trial.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

.colville {
    font-family: 'Colville', sans-serif;
}

.gilroy {
    font-family: 'Gilroy', sans-serif;
}

.lovelace {
    font-family: 'Lovelace Script', sans-serif;
}

/* bootstrap */
.navbar {
    min-height: 70px;
    background-color: #333526aa;
}

.nav-link {
    color: white;
    border-bottom: 1px solid transparent;
    padding: 0.5rem 1rem;
    transition: color 0.3s ease, border-color 0.3s ease;
    margin: 0 5px;
}

.nav-link:hover {
    color: #f8f9fa;
    border-bottom: 1px solid #f8f9fa;
    transition: color 0.3s ease, border-color 0.3s ease;
}

.navbar-toggler {
    border: none;
    outline: none;
    box-shadow: none;
}

.navbar-toggler:focus {
    outline: none;
    box-shadow: none;

}

/* end bootstrap */

/* splide */

.splide__pagination button {
    background-color: #fff !important;
    opacity: 0.9;
    border: 1px solid #9a7056 !important;
}

.splide__pagination .is-active {
    background-color: #9a7056 !important;
}

/* Estilo geral das arrows */
.splide__arrow {
    background: #fff !important;
    color: #9a7056 !important;
    opacity: 1 !important;
    border: 3px solid #9a7056 !important;
    width: 60px !important;
    height: 60px !important;
    transition: 0.3s ease !important;
}

/* Se precisar aumentar o tamanho da flecha */
.splide__arrow svg {
    fill: #9a7056 !important;
    width: 1.5em !important;
    height: 1.5em !important;
}

.splide__arrow--prev {
    left: -25px !important;
}

.splide__arrow--next {
    right: -25px !important;
}

/* end splide */

.btn-wpp {
    position: fixed;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    right: 50px;
    bottom: 50px;
    z-index: 1000;
    background-color: #25D366;
    color: white;
    border: none;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    transition: background-color 0.3s ease;
}

.btn-wpp:hover {
    background-color: #1b9e4b;
}

.bg {
    background: url('../img/bg.png') no-repeat center center;
    background-size: cover;
}

.marrom {
    color: #9a7056;
}

.bg-marrom {
    background-color: #9a7056;
}

.btn-marrom {
    background-color: #9a7056;
    color: #e9e2da;
    border: none;
    transition: all 0.3s ease;
}

.btn-marrom:hover {
    background-color: #7f5b46;
    color: #ffffff;
    transform: scale(1.05);
    transition: all 0.3s ease;
}

.btn-marrom:focus {
    box-shadow: 0 0 0 2px rgba(154, 112, 86, 0.5);
    background-color: #9a7056;
    color: #e9e2da;
    border: none;
    outline: none;
    transition: all 0.3s ease;
    transform: scale(1.05);
}

.border-marrom {
    border: 3px solid #9a7056;
}

.border-marrom-l-r {
    /* border-left: 1px solid #9a7056; */
    border-right: 2px solid #9a7056;
}

.border-b-marrom {
    border-bottom: 2px solid #9a7056;
}

.border-1-marrom {
    border: 1px solid #9a7056;
}

.marrom-claro {
    color: #e9e2da;
}

.bg-marrom-claro {
    background-color: #e9e2da;
}

.marrom-claro-2 {
    color: #c3ae99;
}

.bg-marrom-claro-2 {
    background-color: #c3ae99;
}

.selo-1 {
    height: 150px;
    top: 50px;
    left: 50px;
}

.selo-2 {
    height: 150px;
    bottom: 50px;
    right: 50px;
}

.selo-3 {
    height: 150px;
    top: 25%;
    left: 50%;
    transform: translate(-50%, -25%);
    position: absolute;
}

.text-selos {
    position: relative;
    z-index: 1;
}

.custom-form-input {
    display: block;
    width: 100%;
    padding: 10px 15px;
    border: none;
    background-color: #e9e2da;
    border-radius: 10px;
    box-sizing: border-box;
    font-size: 16px;
    color: #333;
    transition: all 0.3s ease;
}

.custom-form-input::placeholder {
    color: #9a7056;
}

.custom-form-input:focus {
    padding: 15px 20px;
    outline: none;
    box-shadow: 0 0 0 2px rgba(154, 112, 86, 0.5);
}

.custom-form-select {
    display: block;
    width: 100%;
    padding: 10px 15px;
    border: none;
    background-color: #e9e2da;
    border-radius: 10px;
    box-sizing: border-box;
    font-size: 16px;
    color: #9a7056;
    transition: all 0.3s ease;
}

.pointer {
    cursor: pointer;
}

.bg-overlay {
    position: relative;
    border-radius: 20px;
}

.bg-overlay::before {
    content: "";
    position: absolute;
    inset: 0;
    background-color: #ddd6cfad;
    z-index: 1;
    border-radius: 20px;
}

.bg-overlay>* {
    position: relative;
    z-index: 2;
}

.ensaio-fotos {
    height: 450px;
    object-position: top center;
}

/* Flash messages */
.message {
    padding: 10px 20px;
    background: var(--color-message-info-bg);
    color: var(--color-message-info-text);
    border-color: var(--color-message-info-border);
    border-width: 1px;
    border-style: solid;
    border-radius: 4px;
    margin-bottom: 1rem;
    cursor: pointer;
    z-index: 999999;
    position: fixed;
    top: 80px;
    width: calc(100% - 40px);
    left: 20px;
}

.message.hidden {
    display: none;
}

.message.success {
    background: var(--color-message-success-bg);
    color: var(--color-message-success-text);
    border-color: var(--color-message-success-border);
}

.message.warning {
    background: var(--color-message-warning-bg);
    color: var(--color-message-warning-text);
    border-color: var(--color-message-warning-border);
}

.message.error {
    background: var(--color-message-error-bg);
    color: var(--color-message-error-text);
    border-color: var(--color-message-error-border);
}



@media (max-width: 992px) {
    .btn-wpp {
        right: 20px;
        bottom: 20px;
        width: 50px;
        height: 50px;
    }

    .navbar {
        min-height: 70px;
    }

    .selo-1 {
        height: 70px;
        top: 10px;
        left: 10px;
        z-index: 0;
    }

    .selo-2 {
        height: 80px;
        bottom: 20px;
        right: 20px;
        z-index: 0;
    }

    .selo-3 {
        position: absolute;
        height: 50px;
        top: 50px;
        right: 20px;
        transform: none;
        left: auto;
        z-index: 0;
    }

    .ensaio-fotos {
        height: 250px;
    }
}